package cn.timer.api.bean.disk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;



/**
 * 云盘-云空间成员表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 09:24:48
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "disk_cloud_disk_user")
@ApiModel("云空间成员表")
public class DiskCloudDiskUser extends Model<DiskCloudDiskUser> {
	private static final long serialVersionUID = 1L;



	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 资源目录表ID
	*/
	@ApiModelProperty(value = "资源目录表ID")
	private Integer catalogueId;
	/**
	* 当前企业id
	*/
	@ApiModelProperty(value = "当前企业id")
	private Integer orgId;
	/**
	* 用户ID
	*/
	@ApiModelProperty(value = "用户ID")
	private Integer userId;
	/**
	* 用户姓名
	*/
	@ApiModelProperty(value = "用户姓名")
	private String userName;
	/**
	* 用户头像
	*/
	@ApiModelProperty(value = "用户头像")
	private String userHeadUrl;
	/**
	* 用户类型：0.超级管理员，1.管理员，2.普通用户
	*/
	@ApiModelProperty(value = "用户类型：0.超级管理员，1.管理员，2.普通用户")
	private Integer userRole;
	/**
	* 用户权限：r查看,w编辑,x删除,d下载：例如rwxd
	*/
	@ApiModelProperty(value = "用户权限：r查看,w编辑,x删除,d下载：例如rwxd")
	private String userPower;
	/**
	* 逻辑删除标记0.未删除 1.删除
	*/
	@ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除")
	private Integer deleteFlag;
}
