package cn.timer.api.bean.disk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;



/**
 * 云盘-文件分享表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 09:24:48
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "disk_share")
@ApiModel("文件分享表")
public class DiskShare extends Model<DiskShare> {
	private static final long serialVersionUID = 1L;


	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 资源上传文件表ID
	*/
	@ApiModelProperty(value = "资源上传文件表ID")
	private Integer filesId;
	/**
	* 文件标题
	*/
	@ApiModelProperty(value = "文件标题")
	private String title;
	/**
	* 文件路径
	*/
	@ApiModelProperty(value = "文件路径")
	private String filePath;
	/**
	* 用户ID
	*/
	@ApiModelProperty(value = "用户ID")
	private Integer userId;
	/**
	* 用户姓名
	*/
	@ApiModelProperty(value = "用户姓名")
	private String userName;
	/**
	* 浏览量
	*/
	@ApiModelProperty(value = "浏览量")
	private Integer views;
	/**
	* 下载量
	*/
	@ApiModelProperty(value = "下载量")
	private Integer downloads;
	/**
	* 类型：0查分享，1转发
	*/
	@ApiModelProperty(value = "类型：0查分享，1转发")
	private Integer type;
	/**
	* 逻辑删除标记0.未删除 1.删除
	*/
	@ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除")
	private Integer deleteFlag;
	/**
	* 过期时间
	*/
	@ApiModelProperty(value = "过期时间")
	private Date expireTime;
	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

}
