package cn.timer.api.dto.disk;

import cn.timer.api.config.exception.ValidationMsg;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 10:05:49
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DiskCatalogueDto implements Serializable{
	
	private static final long serialVersionUID = -1230023773946170911L;

	/**
	 * 资源目录ID
	 */
	@ApiModelProperty(value = "资源目录ID")
	private Integer id;

	/**
	 * 资源目录ID
	 */
	@ApiModelProperty(value = "资源目录ID")
	private Integer catalogueId;
	/**
	 * 目录名称
	 */
	@NotBlank(message = ValidationMsg.NOTBLANK)
	@ApiModelProperty(value = "目录名称")
	private String name;
	/**
	 * 上级目录
	 */
	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "上级目录", example = "0")
	private Integer parentId;
	/**
	 * 所有上级目录
	 */
	@ApiModelProperty(value = "所有上级目录")
	private String parentIds;
	/**
	 * 0云盘，1文件夹
	 */
	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "0云盘，1文件夹")
	private Integer type;
	/**
	 * 备注信息
	 */
	@ApiModelProperty(value = "备注信息")
	private String remark;
}
