package cn.timer.api.service;

import cn.timer.api.dto.disk.FileInfoDto;
import com.jcraft.jsch.ChannelSftp;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 上传文件的实现层
 */
public interface FtpService {

    boolean createDirs(String dirPath, ChannelSftp sftp);

    /**
     * 上传文件到服务器
     * @param targetPath
     * @param files
     * @param reservedName
     * @return
     */
    List<FileInfoDto> uploadFile(String targetPath, MultipartFile[] files, boolean reservedName);

    /**
     * 删除服务器文件
     * @param targetPath
     * @return
     */
    boolean deleteFile(List<String> targetPath);
}
